Levels
Create User Level
POST
/levels/{guildId}/users/{userId}Create a new user level entry in a guild
Authorization
apiKey X-Api-Key<token>
The user's API key to authenticate requests
In: header
Path Parameters
guildId*Snowflake
A Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19userId*Snowflake
A Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/levels/stringstringstrin/users/stringstringstrin" \ -H "Content-Type: application/json" \ -d '{ "user": { "avatar": "stringstringstringstringstringst", "discriminator": "strin", "username": "string" }, "xp": 0 }'{ "level": { "level": 0, "messageCount": 0, "xp": 0 }}